Subject: bug#58721: 28.2; dired with delete-by-moving-to-trash can't trash directory twice

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Oct 2022 08:41:00 +0200

> From: Mike Kupfer <[email-masked]>
> cc: [email-masked], [email-masked]
> Date: Sat, 29 Oct 2022 17:09:06 -0700
> 
> Eli Zaretskii wrote:
> 
> > Yet another possibility is to refrain from calling rename-file when
> > the moved file is a directory, and instead to do what rename-file
> > does, with a twist, "by hand".  That is what I actually prefer, as
> > nothing is really wrong with rename-file.
> 
> I'm afraid I don't understand your suggestion.
> 
> I've attached the proof-of-concept patch that I came up with, which just
> modifies move-file-to-trash.  I've tested it with files and directories,
> both same-filesystem and crossing filesystems.  Did you have in mind
> something similar?

Yes, thanks.  I just thought you'd be able to call copy-directory,
similarly (but differently) to what rename-file does, instead of using
your lambda-function.